Bug 164 - Shutdown hangs at gpm kill.
Summary: Shutdown hangs at gpm kill.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 5.2
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-23 08:18 UTC by Neil Darlow
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-02-02 16:58:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Neil Darlow 1998-11-23 08:18:28 UTC
Distributed Kernel 2.0.36-0.7 on an i486.
32M Ram, 64M Swap.
Generic Serial Mouse on /dev/cua0 with 3-button emulation.

Reproduced readily with:
1) Login as root on Console 1
2) Login as normal user on Console 2
3) Use emacs to create a HelloWorld.cc program file
4) Compile Helloworld.cc with g++
5) Logout on Console 2
6) Execute shutdown -h now on Console 1
7) Shutdown hangs at point where gpm is killed

Comment 1 Preston Brown 1998-11-23 12:00:59 UTC
Can we please see the contents of your /etc/sysconfig/mouse?

Comment 2 ralphs 1999-01-10 19:43:59 UTC
We've seen a very similar problem on the NetWinder.  Doing an strace
on the "gpm -k" shows that it is hanging in socket call to connect().
It is not clear what the point of this socket call is for.

Comment 3 Preston Brown 1999-02-02 16:58:59 UTC
I believe that this has been fixed in rawhide with our newer version
of gpm.


Note You need to log in before you can comment on or make changes to this bug.